View Issue Details

IDProjectCategoryView StatusLast Update
0008996Talerwallet (Android App)public2024-07-11 04:05
Reportermikolai Assigned Toavalos  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.11 
Fixed in Versiongit (master) 
Summary0008996: Wrong UI flow for wallet-initiated withdrawal leads to crash
Descriptioninstead of giving a choice of banking apps to fulfill the withdrawal, the Android app shows the deposit form and crashes
Steps To Reproduce1. click on "receive money"
2. enter amount (e.g. 50 KUDOS)
3. click on "withdrawal from bank"
4. confirm
5. on transaction details screen, click on "open in banking app"
(wrong UI flow) 6. notice that you are shown the *deposit* form
6. enter amount (e.g. 50 again)
7. click on "check fees"
8. app crashes
Additional Informationtested after database reset and with demo.taler.net

button labels are translated from German for the bug report
TagsNo tags attached.

Activities

avalos

2024-07-01 21:46

developer   ~0022779

I believe what happens is that the “open in banking app” button attempts to open the payto:// URI with any app that supports it. In your case, it is likely that Taler is the only app that supports it, so the URI opens in Taler itself, without asking you to choose the target app.

avalos

2024-07-01 22:26

developer   ~0022780

The crash has been fixed, at least.

https://git.taler.net/taler-android.git/commit/?id=4d11445f26c779e97b54069f7f11c901b7d7c737

mikolai

2024-07-02 19:53

developer   ~0022783

> I believe what happens is that the “open in banking app” button attempts to open the payto:// URI with any app that supports it. In your case, it is likely that Taler is the only app that supports it, so the URI opens in Taler itself, without asking you to choose the target app.

That's a good explanation. However, the app should be able to recognize that it was called from itself and instead of opening the deposit page inform the user that no supported banking app has been found on the users device.

I also have the faint memory of Android providing an API to check for installed apps for a certain URI scheme. If that's correct, the wallet could use that information to hide the button in case it is the only app supporting the scheme.

avalos

2024-07-11 04:05

developer   ~0022809

Fixed in 47f91f31f7d2e658979121f5e5590c02791577fa, please test!

Issue History

Date Modified Username Field Change
2024-06-30 20:26 mikolai New Issue
2024-06-30 20:26 mikolai Status new => assigned
2024-06-30 20:26 mikolai Assigned To => avalos
2024-07-01 21:46 avalos Note Added: 0022779
2024-07-01 22:26 avalos Note Added: 0022780
2024-07-02 19:53 mikolai Note Added: 0022783
2024-07-11 04:05 avalos Status assigned => resolved
2024-07-11 04:05 avalos Resolution open => fixed
2024-07-11 04:05 avalos Fixed in Version => git (master)
2024-07-11 04:05 avalos Note Added: 0022809